# Authentication

The API authentication process validates the identity of the client attempting to make a connection by using an authentication protocol. The protocol sends the credentials from the remote client requesting the connection to the remote access server in either plain text or encrypted form. The server then knows whether it can grant access to that remote client or not.

Here is the list of common ways of authentication:

- JWT Authentication
- Token based Authentication
- Session based Authentication
- Basic Authentication
- OAuth - Open Authorization
- SSO - Single Sign On

Visit the following resources to learn more:

- [User Authentication: Understanding the Basics & Top Tips](https://swoopnow.com/user-authentication/)
- [An overview about authentication methods](https://betterprogramming.pub/how-do-you-authenticate-mate-f2b70904cc3a)
- [SSO - Single Sign On](https://roadmap.sh/guides/sso)
- [OAuth - Open Authorization](https://roadmap.sh/guides/oauth)
- [JWT Authentication](https://roadmap.sh/guides/jwt-authentication)
- [Token Based Authentication](https://roadmap.sh/guides/token-authentication)
- [Session Based Authentication](https://roadmap.sh/guides/session-authentication)
- [Basic Authentication](https://roadmap.sh/guides/basic-authentication)
