# Bash scripting

Bash is a command-line interface shell program used extensively in Linux and macOS. The name Bash is an acronym for "Bourne Again Shell," developed in 1989 as a successor to the Bourne Shell.

"What's a shell?" you ask? A shell is a computer program that allows you to directly control a computer's operating system (OS) with a graphical user interface (GUI) or command-line interface (CLI).

You actually use GUI shells all the time. For example, Windows 10 is based on the Windows shell that allows you to control your OS with a desktop, taskbar, and menus.

With a CLI shell like Bash, you type commands into the program to directly control your computer's OS. Opening up the terminal on your Mac or command line in Linux will look similar to consoles and integrated development environments (IDEs) for other programming languages such as R, Ruby, or Python. You can type commands directly in the command line or run Bash scripts to perform longer and more complex tasks.

Visit the following resources to learn more:

- [The Shell Scripting Tutorial](https://www.shellscript.sh/)
- [Writing Shell Scripts](https://linuxcommand.org/lc3_writing_shell_scripts.php)
- [Shell Scripting for Beginners](https://www.freecodecamp.org/news/shell-scripting-crash-course-how-to-write-bash-scripts-in-linux/)
- [A guide to Bash](https://www.gnu.org/savannah-checkouts/gnu/bash/manual/bash.html)
- [The Bash Hackers Wiki](https://wiki.bash-hackers.org/)
- [Bash Shell Scripting Guide](https://rudrakshi.hashnode.dev/bash-shell-scripting-guide)
- [Codecademy - Learn Bash Scripting](https://www.codecademy.com/learn/bash-scripting)
