# Compiling Apps

# gcc

The GNU Compiler Collection (GCC) is a compiler system produced by the GNU Project supporting various programming languages also known as GCC. GCC is a key component of the GNU tool chain and the standard compiler for most Unix-like operating systems. Compiler Collection is a set of compilers and development tools available for Linux and an array of other operating systems. It includes support primarily for C and C++. It provides all of the infrastructure for building software in those languages from source code to assembly.

"What is GCC used for?" GCC is a toolchain that compiles code, links it with any library dependencies, converts that code to assembly, and then prepares executable files.It is responsible for the conversion of the “high level” source code in the respective language and ensuring that it is semantically valid, performing well formed optimizations, and converting it to assembly code (which is then handed off to the assembler).

Visit the following resources to learn more:

- [Intro to GCC](https://courses.cs.washington.edu/courses/cse451/99wi/Section/gccintro.html)
- [GCC Linux](https://www.javatpoint.com/gcc-linux)
- [GCC Commands](https://www.geeksforgeeks.org/gcc-command-in-linux-with-examples/)
- [Makefile Tutorial](https://makefiletutorial.com)
- [Documentation for make](https://www.gnu.org/software/make/manual/)
- [Using Make and writing Makefiles](https://www.cs.swarthmore.edu/~newhall/unixhelp/howto_makefiles.html)
- [Sbt Documentation](https://www.scala-sbt.org/1.x/docs/)
- [Sbt By Example](https://www.scala-sbt.org/1.x/docs/sbt-by-example.html)
- [Gradle Tutorial](https://www.tutorialspoint.com/gradle/index.htm)
- [Gradle for absolute beginners](https://tomgregory.com/gradle-tutorial-for-complete-beginners/)
- [Gradle Guides](https://gradle.org/guides/)


