# Arrays and Linked lists

Arrays store elements in contiguous memory locations, resulting in easily calculable addresses for the elements stored and this allows faster access to an element at a specific index. Linked lists are less rigid in their storage structure and elements are usually not stored in contiguous locations, hence they need to be stored with additional tags giving a reference to the next element. This difference in the data storage scheme decides which data structure would be more suitable for a given situation.

Visit the following resources to learn more:

- [Linked Lists vs Arrays](https://www.geeksforgeeks.org/linked-list-vs-array/)
- [Python Array Tutorial](https://www.freecodecamp.org/news/python-array-tutorial-define-index-methods/)
- [Python Arrays](https://www.geeksforgeeks.org/python-arrays/)
- [Arrays in Python](https://www.edureka.co/blog/arrays-in-python/)
- [Array Data Structure | Illustrated Data Structures](https://www.youtube.com/watch?v=QJNwK2uJyGs)
- [Linked List Data Structure | Illustrated Data Structures](https://www.youtube.com/watch?v=odW9FU8jPRQ)




