# Methods and Dunder

A method in python is somewhat similar to a function, except it is associated with object/classes. Methods in python are very similar to functions except for two major differences.

* The method is implicitly used for an object for which it is called.
* The method is accessible to data that is contained within the class.

Dunder or magic methods in Python are the methods having two prefix and suffix underscores in the method name. Dunder here means “Double Under (Underscores)”. These are commonly used for operator overloading. Few examples for magic methods are: __init__, __add__, __len__, __repr__ etc.

Visit the following resources to learn more:

- [Method vs Function in Python](https://www.tutorialspoint.com/difference-between-method-and-function-in-python)
- [Dunder or magic methods in Python](https://www.geeksforgeeks.org/dunder-magic-methods-python/)
- [Python - Magic or Dunder Methods](https://www.tutorialsteacher.com/python/magic-methods-in-python)

