# Redux

Redux is a predictable state container for JavaScript apps. It helps you write applications that behave consistently, run in different environments (client, server, and native), and are easy to test. On top of that, it provides a great developer experience, such as [live code editing combined with a time traveling debugger](https://github.com/reduxjs/redux-devtools).

Redux Toolkit (RTK) is a library for managing state in JavaScript applications. It is an opinionated set of tools and utilities for building Redux applications, and it is designed to make it easier and faster to build Redux applications.

RTK is often used as an alternative to writing Redux applications from scratch, as it provides a set of conventions and utilities that can make it easier and faster to build Redux applications.

Visit the following resources to learn more:

- [Redux Toolkit - ReduxJS](https://redux-toolkit.js.org/)
- [Official Website](https://redux.js.org/)
- [Official Getting Started to Redux](https://redux.js.org/introduction/getting-started)
- [Redux Toolkit Official Website](https://redux-toolkit.js.org)
- [Official Tutorial to Learn Redux](https://redux.js.org/tutorials/essentials/part-1-overview-concepts)
- [Fundamentals of Redux Course from Dan Abramov](https://egghead.io/courses/fundamentals-of-redux-course-from-dan-abramov-bd5cc867)
- [Redux Tutorial - Beginner to Advanced](https://youtube.com/watch?v=zrs7u6bdbUw)
